package jiaowuxitong

import (
	"shylinux.com/x/ice"

	"shylinux.com/x/education/src/jiaowuxitong/model"
)

type userClass struct {
	Table
	class  Class
	school school
}

func (s userClass) List(m *ice.Message, arg ...string) {
	s.Tables(m, s.class, s.school).Fields(m,
		s.Key(s.class, model.CREATED_AT), model.SCHOOL_NAME, model.GRADE, model.CLASS_NAME, model.CLASS_UID, model.SCHOOL_UID,
	).Orders(m, s.Desc(model.CREATED_AT)).Select(m, model.USER_UID, arg[0])
}

func init() { ice.TeamCtxCmd(userClass{}) }

type UserClassRole int

const (
	UserClassCreator UserClassRole = iota
	UserClassTeacher
	UserClassStudent
	UserClassParent
	UserClassVisitor
)

var UserClassRoleList = map[UserClassRole]string{
	UserClassCreator: "creator",
	UserClassTeacher: "teacher",
	UserClassStudent: "student",
	UserClassParent:  "parent",
	UserClassVisitor: "visitor",
}

func (s UserClassRole) String() string { return UserClassRoleList[s] }
